DIRNAME(1)

NAZWA
dirname - usuwa niekatalogowy przyrostek nazwy pliku

SKŁADNIA
dirname [OPCJA] NAZWA...

OPIS

Wyświetla wszystkie, oprócz ostatniej, rozdzielone ukośnikami składowe NAZWY (otrzymując w ten sposób ścieżkę pliku); jeśli NAZWA nie zawiera /, wyświetla . (oznaczającą bieżący katalog).

-z, --zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> "dir1" po którym występuje "dir2"

dirname stdio.h
    -> "."

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
basename(1), readlink(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/dirname>
lub lokalnie, za pomocą info '(coreutils) dirname invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.